Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki
Class Joseki

    java.lang.Object
      org.joseki.Joseki

public class Joseki
extends java.lang.Object

Constants and other definitions.

Version:
  $Id: Joseki.java,v 1.9 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary
`static java.lang.String` | `baseURI`
`static java.lang.String` | `clientContentType`
`static boolean` | `clientDebug`
`static java.lang.String` | `contentTypeN3`
`static java.lang.String` | `contentTypeNTriples`
`static java.lang.String` | `contentTypeRDFXML`
`static java.lang.String` | `httpHeaderField`
`static java.lang.String` | `httpHeaderValue`
`static java.lang.String` | `serverActualContentType`
`static java.lang.String` | `serverContentType`
`static boolean` | `serverDebug`
`static java.lang.String` | `version`

Constructor Summary
`Joseki()`

Method Summary
`static java.lang.String` | `getReaderType(java.lang.String contentType)`
`static java.lang.String` | `getWriterType(java.lang.String contentType)`
`static java.lang.String` | `setReaderType(java.lang.String contentType, java.lang.String writerName)`
`static java.lang.String` | `setWriterType(java.lang.String contentType, java.lang.String writerName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static java.lang.String version

### httpHeaderField

    public static java.lang.String httpHeaderField

### httpHeaderValue

    public static java.lang.String httpHeaderValue

### baseURI

    public static final java.lang.String baseURI

See Also:
  Constant Field Values

### contentTypeN3

    public static final java.lang.String contentTypeN3

See Also:
  Constant Field Values

### contentTypeRDFXML

    public static final java.lang.String contentTypeRDFXML

See Also:
  Constant Field Values

### contentTypeNTriples

    public static final java.lang.String contentTypeNTriples

See Also:
  Constant Field Values

### serverContentType

    public static java.lang.String serverContentType

### clientContentType

    public static java.lang.String clientContentType

### serverActualContentType

    public static java.lang.String serverActualContentType

### serverDebug

    public static boolean serverDebug

### clientDebug

    public static boolean clientDebug

Constructor Detail

### Joseki

    public Joseki()

Method Detail

### getReaderType

    public static java.lang.String getReaderType(java.lang.String contentType)

### getWriterType

    public static java.lang.String getWriterType(java.lang.String contentType)

### setReaderType

    public static java.lang.String setReaderType(java.lang.String contentType,
                                                 java.lang.String writerName)

### setWriterType

    public static java.lang.String setWriterType(java.lang.String contentType,
                                                 java.lang.String writerName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.